# $Revision: 1.12 $, $Date: 2009/04/11 13:51:42 $
# TODO:
# - javadoc generation fails with gjdoc

%bcond_without	javadoc		# don't build javadoc
%if "%{pld_release}" == "ti"
%bcond_without	java_sun	# build with gcj
%else
%bcond_with	java_sun	# build with java-sun
%endif

%include	/usr/lib/rpm/macros.java

%define		srcname		classpathx_servlet
Summary:	Alternative Servlet implementation
Summary(pl.UTF-8):	Alternatywna implementacja Java Servlet API
Name:		java-classpathx_servlet
Version:	20000924
Release:	6
License:	LGPL
Group:		Libraries/Java
Source0:	http://www.euronet.nl/~pauls/java/servlet/download/classpathx_servlet-%{version}.tar.gz
# Source0-md5:	a81feddb91b1358f9aaed94e83eddb54
Patch0:		%{name}-gjdoc.patch
URL:		http://www.euronet.nl/~pauls/java/servlet/
%{!?with_java_sun:BuildRequires:	java-gcj-compat-devel}
%{?with_java_sun:BuildRequires:	java-sun}
BuildRequires:	jpackage-utils
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
Provides:	classpathx_servlet
Provides:	servlet = 2.0
Provides:	servlet = 2.1
Provides:	servlet = 2.2
Obsoletes:	classpathx_servlet < 20000924-4
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a LGPL'ed implementation of Sun's Java Servlet API version
2.0, version 2.1 and recently there is preliminary support for version
2.2.

%description -l pl.UTF-8
Ten pakiet zawiera wydaną na licencji LGPL implementację Java Servlet
API Suna w wersji 2.0, wersji 2.1 oraz częściowo wersji 2.2.

%package javadoc
Summary:	Online manual for classpathx servlet
Summary(pl.UTF-8):	Dokumentacja online do classpathx servlet
Group:		Documentation
Requires:	jpackage-utils
Obsoletes:	classpathx_servlet-javadoc

%description javadoc
Documentation for classpathx servlet.

%description javadoc -l pl.UTF-8
Dokumentacja Javadoc do classpathx servlet.

%description javadoc -l fr.UTF-8
Javadoc pour classpathx servlet.

%prep
%setup -q -n classpathx_servlet-%{version}
find -name '*.jar' | xargs rm -v

%{!?with_java_sun:%patch0 -p1}

%build
export JAVA_HOME="%{java_home}"
%{__make} -j1 \
	J_COMPILER="%javac"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}

# jars
cp -a servlet-2.0.jar $RPM_BUILD_ROOT%{_javadir}
cp -a servlet-2.1.jar $RPM_BUILD_ROOT%{_javadir}
cp -a servlet-2.2.jar $RPM_BUILD_ROOT%{_javadir}
cp -a servlet_intl-2.0.jar $RPM_BUILD_ROOT%{_javadir}
cp -a servlet_intl-2.1.jar $RPM_BUILD_ROOT%{_javadir}
cp -a servlet_intl-2.2.jar $RPM_BUILD_ROOT%{_javadir}

# javadoc
%if %{with javadoc}
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
cp -a apidoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
rm -rf $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}/{Makefile,CVS}
ln -s %{srcname}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{srcname} # ghost symlink
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -nfs %{srcname}-%{version} %{_javadocdir}/%{srcname}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog INSTALL README Resources TODO
%{_javadir}/servlet-2.0.jar
%{_javadir}/servlet-2.1.jar
%{_javadir}/servlet-2.2.jar
%{_javadir}/servlet_intl-2.0.jar
%{_javadir}/servlet_intl-2.1.jar
%{_javadir}/servlet_intl-2.2.jar

%if %{with javadoc}
%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{srcname}-%{version}
%ghost %{_javadocdir}/%{srcname}
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: java-classpathx_servlet.spec,v $
Revision 1.12  2009/04/11 13:51:42  pawelz
- added gjdoc path (now it builds with both jdks)
- rel 6

Revision 1.11  2009/04/11 13:18:05  pawelz
- added TODO
- rel 5.1

Revision 1.10  2009/04/11 13:03:19  pawelz
- cleanup after rename
- jdk bconds
- javadoc bcond

Revision 1.9  2009/04/11 12:33:26  glen
- release 5

Revision 1.8  2009/02/02 12:28:35  glen
- Libraries/Java group

Revision 1.7  2008/10/08 23:25:58  glen
- renamed package with java- prefix; rel 4

Revision 1.6  2008-04-08 04:47:48  glen
- this is so old implementation we don't want to provide generic servlet.jar symlink
  rel 3

Revision 1.5  2008-01-06 23:31:38  qboosh
- pl

Revision 1.4  2007-12-31 16:01:08  glen
- rel 2

Revision 1.3  2007-12-09 00:39:56  glen
- rel 1

Revision 1.2  2007-12-09 00:31:15  glen
- just call the virtual "servlet"

Revision 1.1  2007-12-09 00:22:01  glen
- new package
